# We use generic C code for builds on 64 bit Linux, 64 bit Windows, and
# unknown platforms. We can still use x86 assembly on 64 bit MacOS.

ifeq (86,$(findstring 86,$(OS_TEST)))
  #x86
  ifeq (64,$(findstring 64,$(OS_TEST)))
    # x86_64
    ifneq ($(OS_ARCH),Darwin)
      # we only support assembly on MacOS x86_64.
      GENERIC_VP8=1
    endif # !Darwin
  else
    # x86 32bit. We have assembly code for Linux, Darwin, and Windows. Other
    # platforms need to fallback to generic C code.
    ifneq (,$(filter-out Linux Darwin WINNT,$(OS_ARCH)))
      GENERIC_VP8=1
    endif
  endif
else
  # Non x86 platforms fallback to generic C code.
  GENERIC_VP8=1
endif


